INSERT_RESOURCE_EXPA(9)

NAME
insert_resource_expand_to_fit - Insert a resource into the resource tree

SYNOPSIS

void insert_resource_expand_to_fit(struct resource * root, struct resource * new);

ARGUMENTS

root
    root resource descriptor

new
    new resource to insert

DESCRIPTION

Insert a resource into the resource tree, possibly expanding it in order to make it encompass any conflicting resources.

COPYRIGHT